# include <iostream>
# include <map>
# include <vector>
using namespace std;
# include "partition.h"
//# include "grader.cpp"

const int MAX=(1<<22);

int n;
long long a[MAX];

std::vector<int> solve(std::vector<int> A)
{
    n=A.size();
    for(int i=0;i<n;i++) a[i]=A[i];

    vector<int> L,R;
    int mid=n/2;
    for(int i=0;i<n-1;i++) L.push_back(i);
    R.push_back(n-1);

    vector<int> ans;
    for(int x: L) ans.push_back(x);
    for(int x: R) ans.push_back(x);
    return ans;
}

